View Issue Details

IDProjectCategoryView StatusLast Update
0004466SOGoWeb Mailpublic2019-08-01 11:20
ReporterASolana Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSUbuntuOS Version16.04 LTS
Product Version4.0.0 
Fixed in Version4.0.8 
Summary0004466: Under specific conditions email addresses are not displayed after being pasted into messages To, CC: or BCC: fields
Description

Under specific conditions email addresses are not displayed after being pasted into messages To, CC: or BCC: fields

This issue appears whn a user has a list of email addresses and one address appears twice on this list.

It seems that if one of duplicated email addresses is not the first one of the list, then the issue appears.

Some user has got this problem sending a message to a big list of emails.

After some testing it seems duplicated emails are causing the issue.

Steps To Reproduce

How reproduce this issue:

A list of email address with a duplicated one(ddd@test.com)

   aaa@test.com, ddd@test.com, kkk@test.com, ddd@test.com  ==> Error, not displayed

(If one of duplicated address is the first one then ok:

   ddd@test.com, kkk@test.com, ddd@test.com, aaa@test.com  ==> Ok, displayed)   )
  1. List with duplicated emails, but no duplicated is the first one.

  2. User edits a new message, copy/paste the email address list into To:, CC: or BCC: field and then the pasted email addresses are no displayed.

  3. In this case, if message is saved as a draft, the email addresses are displayed on draft message in visualization mode, but they are hidden in edition mode and cannot be modified.

TagsNo tags attached.

Activities

ASolana

ASolana

2019-07-31 11:09

reporter   ~0013685

This issue is not reproducible with SOGo 4.0.8.
You could close this issue.

Issue History

Date Modified Username Field Change
2018-05-16 09:40 ASolana New Issue
2019-07-31 11:09 ASolana Note Added: 0013685
2019-08-01 11:20 ludovic Status new => resolved
2019-08-01 11:20 ludovic Fixed in Version => 4.0.8
2019-08-01 11:20 ludovic Resolution open => fixed
2019-08-01 11:20 ludovic Assigned To => ludovic